# Interface FunctionInternalValueInfoException

A default value -- internal functions have two default values depending on whether they live in storage or elsewhere. In storage the default value is 0 for both program counters. Elsewhere they're both nonzero.

#### Category

Function types

#### Hierarchy

- FunctionInternalValueInfoException

- Defined in codec/lib/format/values.ts:583

#####
Index

### Properties

constructorProgramCounter
context
deployedProgramCounter
kind

## Properties

### constructorProgramCounter

constructorProgramCounter: number

- Defined in codec/lib/format/values.ts:587

### context

context: ContractType

- Defined in codec/lib/format/values.ts:585

### deployedProgramCounter

deployedProgramCounter: number

- Defined in codec/lib/format/values.ts:586

### kind

kind: "exception"

- Defined in codec/lib/format/values.ts:584

Generated using TypeDoc